Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.impl
Class RepoReportUnit

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.impl.RepoReportUnit

All Implemented Interfaces:
  IdedObject

    public class RepoReportUnit

extends RepoResource

Version:
  $Id: RepoReportUnit.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoReportUnit()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`protected java.lang.Class` | `getClientItf()`
`byte` | `getControlsLayout()`
`RepoResource` | `getDataSource()`
`java.lang.String` | `getInputControlRenderingView()`
`java.util.List` | `getInputControls()`
`RepoFileResource` | `getMainReport()`
`RepoQuery` | `getQuery()`
`java.lang.String` | `getReportRenderingView()`
`java.util.List` | `getResources()`
`boolean` | `isAlwaysPromptControls()`
`void` | `setAlwaysPromptControls(boolean alwaysPromptControls)`
`void` | `setControlsLayout(byte controlsLayout)`
`void` | `setDataSource(RepoResource dataSource)`
`void` | `setInputControlRenderingView(java.lang.String inputControlRenderingView)`
`void` | `setInputControls(java.util.List inputControls)`
`void` | `setMainReport(RepoFileResource mainReport)`
`void` | `setQuery(RepoQuery query)`
`void` | `setReportRenderingView(java.lang.String reportRenderingView)`
`void` | `setResources(java.util.List resources)`
`ValidationResult` | `validate()`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoReportUnit

    public RepoReportUnit()

Method Detail

### getDataSource

    public RepoResource getDataSource()

### setDataSource

    public void setDataSource(RepoResource dataSource)

### getQuery

    public RepoQuery getQuery()

### setQuery

    public void setQuery(RepoQuery query)

### getInputControls

    public java.util.List getInputControls()

### setInputControls

    public void setInputControls(java.util.List inputControls)

### getResources

    public java.util.List getResources()

### setResources

    public void setResources(java.util.List resources)

### getMainReport

    public RepoFileResource getMainReport()

### setMainReport

    public void setMainReport(RepoFileResource mainReport)

### getInputControlRenderingView

    public java.lang.String getInputControlRenderingView()

  Returns:
    Returns the inputControlRenderingView.

### setInputControlRenderingView

    public void setInputControlRenderingView(java.lang.String inputControlRenderingView)

  Parameters:
    `inputControlRenderingView` - The inputControlRenderingView to set.

### getReportRenderingView

    public java.lang.String getReportRenderingView()

  Returns:
    Returns the reportRenderingView.

### setReportRenderingView

    public void setReportRenderingView(java.lang.String reportRenderingView)

  Parameters:
    `reportRenderingView` - The reportRenderingView to set.

### isAlwaysPromptControls

    public boolean isAlwaysPromptControls()

### setAlwaysPromptControls

    public void setAlwaysPromptControls(boolean alwaysPromptControls)

### getControlsLayout

    public byte getControlsLayout()

### setControlsLayout

    public void setControlsLayout(byte controlsLayout)

### validate

    public ValidationResult validate()

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.